- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Updates the definition of a custom Role.
HTTP request
PATCH https://iam.googleapis.com/v1/{name=organizations/*/roles/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The
Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
updateMask |
A mask describing which fields in the Role have changed. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Role.
Response body
If successful, the response body contains an instance of Role.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/iamhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.